[PATCH] rs6000: Delete the remaining vec_extract expanders.

Michael Meissner meissner@linux.vnet.ibm.com
Wed Oct 26 08:23:00 GMT 2011


On Tue, Oct 25, 2011 at 03:01:37PM -0700, Richard Henderson wrote:
> Now that expand_binop handles lowering vec_extract_even to vec_perm,
> we can remove the last two unnecessary vec_extract patterns from the
> Altivec backend.
> 
> Ok?

Just to be sure, the lowering doesn't depend on -ftree-vectorize (i.e. in case
people are using the buitlins).  I assume it doesn't.

It looks correct, but unfortunately, until we can get the ppc bootstrapping
again, I'm not sure we can test it.  It looks like the breakage for the ppc
boostrap occurred somewhere between subversion revisions 180312 and 180344.

-- 
Michael Meissner, IBM
5 Technology Place Drive, M/S 2757, Westford, MA 01886-3141, USA
meissner@linux.vnet.ibm.com	fax +1 (978) 399-6899



More information about the Gcc-patches mailing list